using System;
using System.Windows.Forms;

namespace WindowsApplication
{
    public partial class EventForm : Form
    {
        public EventForm(MainForm mainForm)
        {
            InitializeComponent();

            mainForm.OpacityChanged += mainForm_OpacityChanged;
            Disposed += delegate
                {
                    if (chkUnsubscribe.Checked)
                        mainForm.OpacityChanged -= mainForm_OpacityChanged;
                };
        }

        private void mainForm_OpacityChanged(object sender, MainForm.OpacityChangedEventArgs e)
        {
            Opacity = e.Value;
        }

        private void btnDispose_Click(object sender, EventArgs e)
        {
            Dispose();
        }
    }
}